OS Catalina et app MAO : un scandale !

jellyboy74

Membre émérite
5 Juin 2011
910
37
Salut à toutes et tous.
Bon nombre de mois que je n'étais pas venu sur le forum car je n'avais plus de Mac donc plus trop "intéressé".

J'ai acquis un mbp sur lequel j'ai fait clean installation vers Catalina mais je suis en train de péter une durite. Pas de soucis avec Logic Pro, mais alors mes produits qui coûtent la peau du zboub ne peuvent tout simplement pas être installés avec un joli message "votre application (à 200 euros minimum) n'est pas compatible avec OS blablabla, contactez l'éditeur"
NON MAIS SERIEUX ? On se fout de qui chez Apple ? Les éditeurs en question, qui sont pas des branques (ik multimédia, toontracks, etc.) eux-mêmes mettent comme message "Nous vous conseillons de ne pas installer Catalina", un comble !

Ma question est donc : que faire ? Retourner sur Leopard ? ou Tiger peut être ? Je suis comme un dingue. Si quelqu'un a des solutions je suis preneur car là, ça me refroidit. Qu'est ce qui s'est passé chez Apple entre mon dernier Mac (OS Sierra) et maintenant ?
 
Dernière édition par un modérateur:

Locke

What am I doing here?
Modérateur
Club MacG
20 Juillet 2011
35 162
4 131
Qu'est ce qui s'est passé chez apple entre mon dernier mac (OS Sierra ) et maintenant ?
Rien de particulier, sauf que depuis la sortie officielle de macOS Mojave le 24 septembre 2018, qu'Apple n'a cessé de répéter par des popups incessants, lors de mises à jour, que toutes les applications en 32 bits ne fonctionneront plus sous macOS Catalina. Donc, depuis 2 ans tu n'as jamais vu une seule alerte ?

Quant aux éditeurs, ils sont prévenus, à eux de faire le nécessaire pour que LEURS applications fonctionnent en 64 bits. Pour information, ça fait des années que les Mac ne fonctionnent qu'avec des processeurs en 64 bits !
 

jellyboy74

Membre émérite
5 Juin 2011
910
37
Rien de particulier, sauf que depuis la sortie officielle de macOS Mojave le 24 septembre 2018, qu'Apple n'a cessé de répéter par des popups incessants, lors de mises à jour, que toutes les applications en 32 bits ne fonctionneront plus sous macOS Catalina. Donc, depuis 2 ans tu n'as jamais vu une seule alerte ?

Quant aux éditeurs, ils sont prévenus, à eux de faire le nécessaire pour que LEURS applications fonctionnent en 64 bits. Pour information, ça fait des années que les Mac ne fonctionnent qu'avec des processeurs en 64 bits !

Salut. Toutes mes applications proposent le 32 ou le 64 depuis très longtemps, le problème c'est que ce choix se fait à l'installation. Mais vu que Catalina refuse de lancer l'installation...
 
Dernière édition par un modérateur:

Locke

What am I doing here?
Modérateur
Club MacG
20 Juillet 2011
35 162
4 131
Toutes mes applications proposent le 32 ou le 64 depuis très longtemps
Non, une application est ou n'est pas en 64 bits, sinon pas d'installation !
le problème c'est que ce choix se fait à l'installation mais vu que Catalina refuse de lancer l'installation ...
Ces applications peuvent être en 64 bits, mais possèdent comme dans les anciennes suites graphiques de chez Adobe, des parties en 32 bits que l'installation ne se fera pas.
 

jellyboy74

Membre émérite
5 Juin 2011
910
37
Non, une application est ou n'est pas en 64 bits, sinon pas d'installation !

Ces applications peuvent être en 64 bits, mais possèdent comme dans les anciennes suites graphiques de chez Adobe, des parties en 32 bits que l'installation ne se fera pas.

Est ce que tu fait de la MAO parce que ça fait plus de 10 ans que les logiciels de MAO fonctionnent en 64B et possèdent tous une installation différente en 32 ou 64 avec des bibliothèque et des dossiers bien distincts que ce soit sur osx ou windows . Donc non ce n'est pas le soucis. J'ai consulté plusieurs forum entre temps et tout ceux qui font de la mao ont le même soucis même avec les toutes dernières updates . Ca viens clairement de Catalina . Bref tu peu locker le topic à moins que d'autres veuillent y participer , j'ai remis un HDD avec Sierra dessus et tout fonctionne à merveille .
 

Sly54

Acrobate de l'espace
Modérateur
Club MacG
31 Janvier 2005
44 849
7 204
Nancy___
j'ai remis un HDD avec Sierra dessus et tout fonctionne à merveille .
Entre Sierra et Catalina, il y a 2 bons OS : High Sierra et Mojave (encore mis à jour par Apple en terme de sécurité).
Si tes applications tournent sous ces OS, je pense que tu devrais passer dessus (choix 1 : Mojave - choix 2 : High Sierra).
 
  • J’aime
Réactions: mokuchley

iDanGener

Membre émérite
12 Mars 2011
620
85
Entre Sierra et Catalina, il y a 2 bons OS : High Sierra et Mojave (encore mis à jour par Apple en terme de sécurité).
Si tes applications tournent sous ces OS, je pense que tu devrais passer dessus (choix 1 : Mojave - choix 2 : High Sierra).

Bonjour,

S’il fait ça, j’encourage jb74 à lire un peu sur le APFS avant de faire le passage.
 

jellyboy74

Membre émérite
5 Juin 2011
910
37
A priori il n'y a aucun soucis également avec Mojave. Seul soucis , ce dernier n'est plus dispo sur l'appstore , il ne me propose que Catalina .
 

Locke

What am I doing here?
Modérateur
Club MacG
20 Juillet 2011
35 162
4 131
Bref tu peu locker le topic à moins que d'autres veuillent y participer , j'ai remis un HDD avec Sierra dessus et tout fonctionne à merveille
Non, on ne va rien fermer, comme tu es revenu sous macOS Sierra, tu maintiens la touche alt et un clic sur /Informations système qui ouvrira cette fenêtre...

Capture-001.jpg

...arrange-toi pour avoir cette disposition, fais un clic sur la zone encadrée en rouge qui te listera toutes les applications qui sont en 32 et 64 bits. Sous macOS Catalina, si un élément d'un logiciel est en 32 bits, ça ne fonctionnera pas !

A priori il n'y a aucun souci également avec Mojave. Seul souci, ce dernier n'est plus dispo sur l'App Store, il ne me propose que Catalina.
En allant ici... https://support.apple.com/fr-fr/HT210190 ...au point 4, si tu fais un clic sur Obtenir macOS Mojave ça ne fonctionne pas ?
 

LS Zaitsev

Membre émérite
15 Août 2010
878
117
Afrique
Alors, je vais sûrement me faire l'avocat du diable, mais si des logiciels sont fondamentaux dans votre workflow, il vous appartient de vérifier que votre logiciel (acheté à grands frais) soit - ou reste - compatible avec le nouvel OS que vous comptez installer.
Oui, les éditeurs ne font pas toujours les efforts nécessaires pour maintenir la compatibilité de leurs logiciels. Mais est-ce vraiment de leur responsabilité ? Ont-ils l'obligation morale de suivre le rythme effréné (et absolument pas justifié) d'un OS par an imposé par Apple ?

Dans le secteur pro, on ne fait jamais la mise à jour vers le dernier OS sans avoir scrupuleusement vérifié que tout fonctionnera (ce qui n'empêche pas quelques problèmes d'apparaître, mais ça limite grandement les dégâts).

Pour résoudre ton souci, tu l'as bien compris, il faut downgrade l'OS, revenir à une version plus ancienne, après une clean install.
Mon épouse, musicienne, qui utilise aussi des applications d'enregistrement, etc. a cliqué sur la MàJ Catalina par inattention : j'ai dû formater et faire une clean install pour revenir à Mojave.
Même Logic Pro sous Catalina moulinait, faisait chauffer la machine, sans parler du reste. Je rejoins tout à fait l'avis à propos de Catalina : de la m****

Et pour nuancer ton propos à propos de tout le secteur de la MAO passé au 64 bits : non, il reste encore des plugins (vendus à prix d'or par les ténors du domaine) qui sont en 32 bits, dans le domaine de la voix et de la guitare tradi / folk notamment (je parle de ce que je connais, un peu !).
 

Sly54

Acrobate de l'espace
Modérateur
Club MacG
31 Janvier 2005
44 849
7 204
Nancy___
Seul soucis , ce dernier n'est plus dispo sur l'appstore , il ne me propose que Catalina .
Disons que depuis maintenant 4 ou 5 ans (peut être plus d'ailleurs), il faut télécharger les OS qui sortent, pour pouvoir les télécharger de nouveau, dans le futur.
Par exemple maintenant, il faut télécharger Catalina (mais sans l'installer ;) pour pouvoir le télécharger de nouveau dans quelques années.
 

IRONHIDE49

Membre d’élite
23 Février 2020
1 757
200
Nantes
Pas sur....
Moi j'ai "acheté" mavericks, Yosemite, El Captain & Sierra à leurs sorties, je peux encore les télécharger à partir de l'app store d'high Sierra, mais pas celui de Mojave, donc si je passe un mon dernier ordi sous Mojave, plus de téléchargements possible sans redémarrer avec le Mac pro.

dans la même catégorie, je ne vois pas (sous Mojave ou high Sierra) dans les achats que j'ai fait, high Sierra, mojave ou Catalina, que j'ai pourtant téléchargé.

Après c'est pas grave parce que tout est déjà téléchargé toutes les applications d'installation de Mac os X 10,7 au 10,16, mais dans le principe, c'est pas toujours top Apple à ce niveau là.
 

Aliboron

Chercheur de son
Modérateur
Club MacG
1 Janvier 2008
13 378
799
Toulouse.cong
faq.office.macintosh.free.fr
Moi j'ai "acheté" mavericks, Yosemite, El Captain & Sierra à leurs sorties, je peux encore les télécharger à partir de l'app store d'high Sierra, mais pas celui de Mojave, donc si je passe un mon dernier ordi sous Mojave, plus de téléchargements possible sans redémarrer avec le Mac pro.
C'est juste, on ne peut plus avoir directement les différentes moutures de macOS dans l'App Store de Mojave ! Mais on peut quand même le télécharger dans l'App Store depuis le lien donné sur la page qu'indique Locke dans le message n°9. J'imagine que, là aussi, il faut l'avoir déjà téléchargé au moins une fois auparavant. Va comprendre...
 

iDanGener

Membre émérite
12 Mars 2011
620
85
Sur le site du développeur Collin http://dosdude1.com/software.html, il y a des applications/patchs pour pouvoir installer des systèmes sur des machines théoriquement incompatibles. Une option sous exploitée selon moi de ces applications est l’article de l’un de ses menus qui est « télécharger une image complète du système original ». J’ai utilisé ces outils (il y a une application pour chaque système) à deux reprises pour télécharger des images de systèmes afin de les installer sur des ordis ayant des connexions limitées à internet
 
  • J’aime
Réactions: Sly54